org.crosswire.jsword.book.readings

## Class ReadingsKey

- java.lang.Object
- - org.crosswire.jsword.passage.DefaultLeafKeyList
  - - org.crosswire.jsword.book.readings.ReadingsKey

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<Key>, Iterable<Key>, Key

      public class ReadingsKey
      extends DefaultLeafKeyList

  For a readings dictionary the keys are dates.
  Author:
    Joe Walker, DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Date` | `date` The day of the year for the readings
    `private static MessageFormat` | `KEY_FORMAT` Date formatter
    `private static long` | `serialVersionUID` Serialization ID

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ReadingsKey(Date date)` Simple Constructor.
    `protected` | `ReadingsKey(String text, String osisName, Key parent)` Simple Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReadingsKey` | `clone()` This needs to be declared here so that it is visible as a method on a derived Key.
    `int` | `compareTo(Key obj)`
    `boolean` | `equals(Object obj)` This needs to be declared here so that it is visible as a method on a derived Key.
    `static String` | `external2internal(Calendar externalKey)` Convert the Gregorian Calendar to a string.
    `int` | `hashCode()` This needs to be declared here so that it is visible as a method on a derived Key.

    - ### Methods inherited from class org.crosswire.jsword.passage.DefaultLeafKeyList

      `addAll, blur, canHaveChildren, clear, contains, get, getCardinality, getChildCount, getName, getName, getOsisID, getOsisRef, getParent, getRootName, indexOf, isEmpty, iterator, removeAll, retainAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### date

          private Date date

      The day of the year for the readings

    - #### KEY_FORMAT

          private static final MessageFormat KEY_FORMAT

      Date formatter

    - #### serialVersionUID

          private static final long serialVersionUID

      Serialization ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReadingsKey

          protected ReadingsKey(String text,
                     String osisName,
                     Key parent)

      Simple Constructor.
      Parameters:
        `text` - The textual version of the date for these readings in the format "d mmmm"
        `osisName` - The OSIS id of this Key
        `parent` - This Key's parent (or null of this Key has no parent)

    - #### ReadingsKey

          protected ReadingsKey(Date date)

      Simple Constructor.
      Parameters:
        `date` - The date for this key

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Description copied from interface: `Key`
      This needs to be declared here so that it is visible as a method on a derived Key.
      Specified by:
        `equals` in interface `Key`
      Overrides:
        `equals` in class `DefaultLeafKeyList`
      Returns:
        true if equal

    - #### hashCode

          public int hashCode()

      Description copied from interface: `Key`
      This needs to be declared here so that it is visible as a method on a derived Key.
      Specified by:
        `hashCode` in interface `Key`
      Overrides:
        `hashCode` in class `DefaultLeafKeyList`
      Returns:
        the hashcode

    - #### compareTo

          public int compareTo(Key obj)

      Specified by:
        `compareTo` in interface `Comparable<Key>`
      Overrides:
        `compareTo` in class `DefaultLeafKeyList`

    - #### clone

          public ReadingsKey clone()

      Description copied from interface: `Key`
      This needs to be declared here so that it is visible as a method on a derived Key.
      Specified by:
        `clone` in interface `Key`
      Overrides:
        `clone` in class `DefaultLeafKeyList`
      Returns:
        A complete copy of ourselves

    - #### external2internal

          public static String external2internal(Calendar externalKey)

      Convert the Gregorian Calendar to a string.
      Parameters:
        `externalKey` -
      Returns:
        the internal representation of the key